import Vue from 'vue'
import App from './App'
// 引入Vue路由
import router from './router'

// 引入Axios发送请求
import Axios from "axios"

// element - ui按需引入
import {
	Row, Col, Upload, Button, Select, Input, Menu, MenuItem, Form, FormItem, DatePicker, Table, TableColumn, Pagination, Dialog, Option, Message, MessageBox, Tabs,
	TabPane, Card, TimePicker, Loading,
} from 'element-ui';

// 注册使用element - ui组件
Vue.use(Row)
Vue.use(Col)
Vue.use(Upload)
Vue.use(Button)
Vue.use(Select)
Vue.use(Input)
Vue.use(Menu)
Vue.use(MenuItem)
Vue.use(Form)
Vue.use(FormItem)
Vue.use(DatePicker)
Vue.use(Table)
Vue.use(TableColumn)
Vue.use(Pagination)
Vue.use(Dialog)
Vue.use(Option)
Vue.use(Tabs)
Vue.use(TabPane)
Vue.use(Card)
Vue.use(TimePicker)
Vue.use(Loading.directive);

Vue.prototype.$loading = Loading.service;
Vue.prototype.$confirm = MessageBox.confirm;
Vue.prototype.$message = Message;

// 把Axios挂载到Vue原型上，这样全局就可以使用Axios发送请求
Vue.prototype.$axios = Axios;

// 开发环境提示关闭
Vue.config.productionTip = false

new Vue({
	el: '#app',
	router,
	components: {
		App
	},
	template: '<App/>'
})
